<?php
namespace Bushelpowered\Api\Aggregator\Payments\V1\Response;
        
class PaymentSummaryResponse 
{
    /** @var \Bushelpowered\Api\Aggregator\Payments\V1\Response\PaymentSummaryScheduled $scheduled */
    public \Bushelpowered\Api\Aggregator\Payments\V1\Response\PaymentSummaryScheduled $scheduled;
    /** @var \Bushelpowered\Api\Aggregator\Payments\V1\Response\PaymentSummaryPeriod[] $periods Debits and credits of processed payments broken up by years*/
    public array $periods;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Payments\V1\Response\PaymentSummaryScheduled  $scheduled 
     * @param  \Bushelpowered\Api\Aggregator\Payments\V1\Response\PaymentSummaryPeriod[]  $periods Debits and credits of processed payments broken up by years
     */
    public function __construct(\Bushelpowered\Api\Aggregator\Payments\V1\Response\PaymentSummaryScheduled $scheduled, array $periods)
    {
        $this->scheduled = $scheduled;
        $this->periods = $periods;
    }
    

}