<?php
namespace Bushelpowered\Api\Aggregator\Quoting\V1\Response;
        
class StaffProductListItemResponse 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category */
    public \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category;
    /** @var string $name Name of the product*/
    public string $name;
    /** @var string $uom Unit of measure for the product*/
    public string $uom;
    /** @var float $price Price of the product*/
    public float $price;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory  $category 
     * @param  string  $name Name of the product
     * @param  string  $uom Unit of measure for the product
     * @param  float  $price Price of the product
     */
    public function __construct(string $id, \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category, string $name, string $uom, float $price)
    {
        $this->id = $id;
        $this->category = $category;
        $this->name = $name;
        $this->uom = $uom;
        $this->price = $price;
    }
    

}