<?php
namespace Bushelpowered\Api\Crm\V1\Response;
        
class AssociatedAccountResponse 
{
    /** @var string $accountId The account id from AccountLinker*/
    public string $accountId;
    /** @var string $sourceAccountId The readable account id from ERP*/
    public string $sourceAccountId;

    /**
     * @param  string  $accountId The account id from AccountLinker
     * @param  string  $sourceAccountId The readable account id from ERP
     */
    public function __construct(string $accountId, string $sourceAccountId)
    {
        $this->accountId = $accountId;
        $this->sourceAccountId = $sourceAccountId;
    }
    

}