<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1;
        
class TenantRef implements \Bushelpowered\Api\Iam\Access\Common\V1\HasTenantId
{
    /** @var string $tenantId The id of the tenant.*/
    public string $tenantId;

    /**
     * @param  string  $tenantId The id of the tenant.
     */
    public function __construct(string $tenantId)
    {
        $this->tenantId = $tenantId;
    }
    
    /**
     * @return string The id of the tenant.
     */
    public function getTenantId(): string
    {
        return $this->tenantId;
    }
}