<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Response;
        
class PermissionSomewhereResult 
{
    /** @var string $permission The permission name.*/
    public string $permission;
    /** @var bool $somewhere The permission is granted somewhere*/
    public bool $somewhere;
    /** @var bool $root The permission is granted at the root*/
    public bool $root;
    /** @var bool $tenants The permission is granted on one or more tenants*/
    public bool $tenants;
    /** @var bool $locations The permission is granted on one or more locations*/
    public bool $locations;
    /** @var bool $accounts The permission is granted on one or more accounts*/
    public bool $accounts;

    /**
     * @param  string  $permission The permission name.
     * @param  bool  $somewhere The permission is granted somewhere
     * @param  bool  $root The permission is granted at the root
     * @param  bool  $tenants The permission is granted on one or more tenants
     * @param  bool  $locations The permission is granted on one or more locations
     * @param  bool  $accounts The permission is granted on one or more accounts
     */
    public function __construct(string $permission, bool $somewhere, bool $root, bool $tenants, bool $locations, bool $accounts)
    {
        $this->permission = $permission;
        $this->somewhere = $somewhere;
        $this->root = $root;
        $this->tenants = $tenants;
        $this->locations = $locations;
        $this->accounts = $accounts;
    }
    

}