<?php
namespace Bushelpowered\Api\Iam\Serviceaccounts\V1\Request;
        
class ServiceAccountsFilters 
{
    /** @var string[]|null $ids Filter by service account ids*/
    public ?array $ids = null;
    /** @var string[]|null $tenantIds Filter by tenant ids*/
    public ?array $tenantIds = null;

    /**
     * @param  string[]|null  $ids Filter by service account ids
     * @param  string[]|null  $tenantIds Filter by tenant ids
     */
    public function __construct(?array $ids, ?array $tenantIds)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
    }
    

}