<?php
namespace Bushelpowered\Api\Iam\Serviceaccounts\V1\Response;
        
class CreateServiceAccountKeyResponse 
{
    /** @var \Bushelpowered\Api\Iam\Serviceaccounts\V1\Model\ServiceAccountKeyDetails $data */
    public \Bushelpowered\Api\Iam\Serviceaccounts\V1\Model\ServiceAccountKeyDetails $data;
    /** @var string $key The key for the service account. This is only returned once upon creation of the key, ensure you store it securely, it cannot be retrieved later!*/
    public string $key;

    /**
     * @param  \Bushelpowered\Api\Iam\Serviceaccounts\V1\Model\ServiceAccountKeyDetails  $data 
     * @param  string  $key The key for the service account. This is only returned once upon creation of the key, ensure you store it securely, it cannot be retrieved later!
     */
    public function __construct(\Bushelpowered\Api\Iam\Serviceaccounts\V1\Model\ServiceAccountKeyDetails $data, string $key)
    {
        $this->data = $data;
        $this->key = $key;
    }
    

}