<?php
namespace Bushelpowered\Api\Payments\V1\Response;
        
class PaymentSummaryPeriod 
{
    /** @var string $period The period of time that these payments are for*/
    public string $period;
    /** @var string $totalDebits The debits for this period*/
    public string $totalDebits;
    /** @var string $totalCredits The credits for this period*/
    public string $totalCredits;

    /**
     * @param  string  $period The period of time that these payments are for
     * @param  string  $totalDebits The debits for this period
     * @param  string  $totalCredits The credits for this period
     */
    public function __construct(string $period, string $totalDebits, string $totalCredits)
    {
        $this->period = $period;
        $this->totalDebits = $totalDebits;
        $this->totalCredits = $totalCredits;
    }
    

}