<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Model;
        
class EsignListSignature 
{
    /** @var string $signatureId The Esign service's signature id.*/
    public string $signatureId;
    /** @var string $status The current status of the signature (e.g., pending, signed).*/
    public string $status;
    /** @var string $signingUrl The Url to go to to sign this signature.*/
    public string $signingUrl;

    /**
     * @param  string  $signatureId The Esign service's signature id.
     * @param  string  $status The current status of the signature (e.g., pending, signed).
     * @param  string  $signingUrl The Url to go to to sign this signature.
     */
    public function __construct(string $signatureId, string $status, string $signingUrl)
    {
        $this->signatureId = $signatureId;
        $this->status = $status;
        $this->signingUrl = $signingUrl;
    }
    

}