<?php
namespace Bushelpowered\Api\Aggregator\Quoting\V1\Response;
        
class AccountResponse 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $sourceId The source record identifier.*/
    public string $sourceId;
    /** @var null|string $name */
    public ?string $name = null;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $sourceId The source record identifier.
     * @param  null|string  $name 
     */
    public function __construct(string $id, string $sourceId, ?string $name)
    {
        $this->id = $id;
        $this->sourceId = $sourceId;
        $this->name = $name;
    }
    

}