<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Response;
        
class RoleBindingResponse implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasOptionalResultWindow
{
    /** @var null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow */
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow = null;

    /**
     * @param  null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken  $resultWindow 
     */
    public function __construct(?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow)
    {
        $this->resultWindow = $resultWindow;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken 
     */
    public function getResultWindow(): ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken
    {
        return $this->resultWindow;
    }
}