<?php
namespace Bushelpowered\Api\Platform\Authorization\V1\Request;
        
class LocationRoles 
{
    /** @var string $remoteLocationId The location identifier*/
    public string $remoteLocationId;
    /** @var string $datasourceId The datasource identifier*/
    public string $datasourceId;
    /** @var \Bushelpowered\Api\Platform\Authorization\V1\Request\SyncStaffUserRoles[] $roles The role names for this Location. This list is expected to be exhaustive, if roles property is empty than all existing role bindings will be removed.*/
    public array $roles;

    /**
     * @param  string  $remoteLocationId The location identifier
     * @param  string  $datasourceId The datasource identifier
     * @param  \Bushelpowered\Api\Platform\Authorization\V1\Request\SyncStaffUserRoles[]  $roles The role names for this Location. This list is expected to be exhaustive, if roles property is empty than all existing role bindings will be removed.
     */
    public function __construct(string $remoteLocationId, string $datasourceId, array $roles)
    {
        $this->remoteLocationId = $remoteLocationId;
        $this->datasourceId = $datasourceId;
        $this->roles = $roles;
    }
    

}