<?php
namespace Bushelpowered\Api\Quoting\V1\Request;
        
class StaffUpsertDiscountRequest 
{
    /** @var null|string $id The id of the record to update, will be created if null*/
    public ?string $id = null;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\DiscountType $discountType */
    public \Bushelpowered\Api\Quoting\V1\Enums\DiscountType $discountType;
    /** @var float $value The value of the discount*/
    public float $value;
    /** @var string $description The description of the discount*/
    public string $description;

    /**
     * @param  null|string  $id The id of the record to update, will be created if null
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\DiscountType  $discountType 
     * @param  float  $value The value of the discount
     * @param  string  $description The description of the discount
     */
    public function __construct(?string $id, \Bushelpowered\Api\Quoting\V1\Enums\DiscountType $discountType, float $value, string $description)
    {
        $this->id = $id;
        $this->discountType = $discountType;
        $this->value = $value;
        $this->description = $description;
    }
    

}