<?php
namespace Bushelpowered\Api\Trade\Config\V1\Request;
        
class SalesSeriesConfigurationListRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var null|\Bushelpowered\Api\Trade\Config\V1\Request\SalesSeriesConfigurationPagination $pagination */
    public ?\Bushelpowered\Api\Trade\Config\V1\Request\SalesSeriesConfigurationPagination $pagination = null;

    /**
     * @param  null|\Bushelpowered\Api\Trade\Config\V1\Request\SalesSeriesConfigurationPagination  $pagination 
     */
    public function __construct(?\Bushelpowered\Api\Trade\Config\V1\Request\SalesSeriesConfigurationPagination $pagination)
    {
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Trade\Config\V1\Request\SalesSeriesConfigurationPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Trade\Config\V1\Request\SalesSeriesConfigurationPagination
    {
        return $this->pagination;
    }
}